--- title: "getCloudHadoopNotebookComponentList" slug: "analytics-vhadoop-getcloudhadoopnotebookcomponentlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopnotebookcomponentlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopNotebookComponentList Available in VPC Get notebook components available for use in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopNotebookComponentList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `cloudHadoopNotebookImageProductCode` | String | Required | Notebook image code - See [getCloudHadoopNotebookImageProductList](/docs/en/analytics-vhadoop-getcloudhadoopnotebookimageproductlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopNotebookComponentList ?regionCode=KR &cloudHadoopNotebookImageProductCode=SW.VCHDP.LNX64.CNTOS.0708.HDNTB.10.B050 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopNotebookComponentListResponse` | Object | - | Response result - See [CloudHadoopNotebookComponentList](/docs/en/common-vapidatatype-cloudhadoopnotebookcomponentlist). | | `getCloudHadoopNotebookComponentListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopNotebookComponentListResponse.returnCode` | String | - | Response code | | `getCloudHadoopNotebookComponentListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopNotebookComponentListResponse": { "totalRows": 1, "cloudHadoopNotebookComponentList": [ { "code": "NOTEBOOK_1.0", "codeName": "Jupyter notebook 6.4.10 , JupyterLab : 3.2.9" } ], "requestId": "a3ae4016-****-****-****-6e143e7ad22a", "returnCode": "0", "returnMessage": "success" } } ```